OCF_HEARTBEAT_DOVECO(7)

NAME
ocf_heartbeat_dovecot - Manages a highly available Dovecot IMAP/POP3 server instance

SYNOPSIS

dovecot [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

This script manages Dovecot as an OCF resource in a high-availability setup.

SUPPORTED PARAMETERS

binary
    Full path to the Dovecot binary. For example, "/usr/sbin/dovecot".

    (optional, string, default "/usr/sbin/dovecot")

config_file
    Full path to a Dovecot configuration file. For example, "/etc/dovecot/dovecot.conf".

    (unique, optional, string, no default)

pid_file
    Full path to a Dovecot PID file. For example, "/var/run/dovecot/master.pid".

    (unique, optional, string, default "/var/run/dovecot/master.pid")

parameters
    The Dovecot daemon may be called with additional parameters. Specify any of them here.

    (optional, string, no default)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 20s.

stop
    Stops the resource. Suggested minimum timeout: 20s.

reload
    Suggested minimum timeout: 20s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 60s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 20s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a dovecot resource using the crm(8) shell:

    primitive p_dovecot ocf:heartbeat:dovecot \
      op monitor depth="0" timeout="20s" interval="60s"

EXAMPLE PCS

The following is an example configuration for a dovecot resource using pcs(8)

    pcs resource create p_dovecot ocf:heartbeat:dovecot \
      op monitor OCF_CHECK_LEVEL="0" timeout="20s" interval="60s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)